# Uses of Interface
net.shibboleth.idp.attribute.PairwiseIdStore

Packages that use PairwiseIdStore
Package
Description
net.shibboleth.idp.attribute
`IdPAttribute`s are protocol-agnostic units of information about some thing, usually a user.
net.shibboleth.idp.attribute.impl
Implementations of general attribute functionality.
net.shibboleth.idp.attribute.resolver.dc.impl
Common functionality used by data connectors.

## Uses of PairwiseIdStore in net.shibboleth.idp.attribute

Subinterfaces of PairwiseIdStore in net.shibboleth.idp.attribute
Modifier and Type
Interface
Description
`interface`
`DurablePairwiseIdStore`
Extended `PairwiseIdStore` interface that supports reversal, mutation, and deactivation features requiring durable storage.

## Uses of PairwiseIdStore in net.shibboleth.idp.attribute.impl

Classes in net.shibboleth.idp.attribute.impl that implement PairwiseIdStore
Modifier and Type
Class
Description
`class`
`ComputedPairwiseIdStore`
A `PairwiseIdStore` that generates a pairwise ID by computing the hash of a given attribute value, the entity ID of the recipient, and a provided salt.
`class`
`JDBCPairwiseIdStore`
JDBC-based storage management for pairwise IDs.
Fields in net.shibboleth.idp.attribute.impl declared as PairwiseIdStore
Modifier and Type
Field
Description
`private PairwiseIdStore`
JDBCPairwiseIdStore.`initialValueStore`
Optional hook for obtaining initial values from a primary store, usually a computed algorithm.
Methods in net.shibboleth.idp.attribute.impl that return PairwiseIdStore
Modifier and Type
Method
Description
`PairwiseIdStore`
JDBCPairwiseIdStore.`getInitialValueStore()`
Get a store to use to produce the first value for a given issuer/recipient pair.
Methods in net.shibboleth.idp.attribute.impl with parameters of type PairwiseIdStore
Modifier and Type
Method
Description
`void`
JDBCPairwiseIdStore.`setInitialValueStore(PairwiseIdStore store)`
Set a store to use to produce the first value for a given issuer/recipient pair.

## Uses of PairwiseIdStore in net.shibboleth.idp.attribute.resolver.dc.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.impl declared as PairwiseIdStore
Modifier and Type
Field
Description
`private PairwiseIdStore`
PairwiseIdDataConnector.`pidStore`
Source of IDs.
Methods in net.shibboleth.idp.attribute.resolver.dc.impl that return PairwiseIdStore
Modifier and Type
Method
Description
`PairwiseIdStore`
PairwiseIdDataConnector.`getPairwiseIdStore()`
Get the underlying pairwise ID store.
Methods in net.shibboleth.idp.attribute.resolver.dc.impl with parameters of type PairwiseIdStore
Modifier and Type
Method
Description
`void`
PairwiseIdDataConnector.`setPairwiseIdStore(PairwiseIdStore store)`
Set the underlying pairwise ID store.